package com.ruoyi.dezhi.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 视频包对象 b_busi_dezhi_video_package
 * 
 * @author mingxue
 * @date 2021-07-22
 */
public class BBusiDezhiVideoPackage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 类型(0:同步课程,1:专题课程,2:中考课程) */
    @Excel(name = "类型(0:同步课程,1:专题课程,2:中考课程)")
    private Integer type;

    /** 课程类型 */
    @Excel(name = "课程类型")
    private String ctype;

    /** 科目 */
    @Excel(name = "科目")
    private String course;

    /** 年级 */
    @Excel(name = "年级")
    private String grade;

    /** 版本 */
    @Excel(name = "版本")
    private String version;

    /** 小节 */
    @Excel(name = "小节")
    private String packId;

    /** 标题 */
    @Excel(name = "标题")
    private String packName;

    /** 封面 */
    @Excel(name = "封面")
    private String packImgurl;

    /** 说明 */
    @Excel(name = "说明")
    private String packIntro;

    /** 节数 */
    @Excel(name = "节数")
    private Long sectionNum;

    /** 来源 */
    @Excel(name = "来源")
    private String from;

    /** 排序 */
    @Excel(name = "排序")
    private Integer priority;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setCtype(String ctype) 
    {
        this.ctype = ctype;
    }

    public String getCtype() 
    {
        return ctype;
    }
    public void setCourse(String course) 
    {
        this.course = course;
    }

    public String getCourse() 
    {
        return course;
    }
    public void setGrade(String grade) 
    {
        this.grade = grade;
    }

    public String getGrade() 
    {
        return grade;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }
    public void setPackId(String packId) 
    {
        this.packId = packId;
    }

    public String getPackId() 
    {
        return packId;
    }
    public void setPackName(String packName) 
    {
        this.packName = packName;
    }

    public String getPackName() 
    {
        return packName;
    }
    public void setPackImgurl(String packImgurl) 
    {
        this.packImgurl = packImgurl;
    }

    public String getPackImgurl() 
    {
        return packImgurl;
    }
    public void setPackIntro(String packIntro) 
    {
        this.packIntro = packIntro;
    }

    public String getPackIntro() 
    {
        return packIntro;
    }
    public void setSectionNum(Long sectionNum) 
    {
        this.sectionNum = sectionNum;
    }

    public Long getSectionNum() 
    {
        return sectionNum;
    }
    public void setFrom(String from) 
    {
        this.from = from;
    }

    public String getFrom() 
    {
        return from;
    }
    public void setPriority(Integer priority) 
    {
        this.priority = priority;
    }

    public Integer getPriority() 
    {
        return priority;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("ctype", getCtype())
            .append("course", getCourse())
            .append("grade", getGrade())
            .append("version", getVersion())
            .append("packId", getPackId())
            .append("packName", getPackName())
            .append("packImgurl", getPackImgurl())
            .append("packIntro", getPackIntro())
            .append("sectionNum", getSectionNum())
            .append("from", getFrom())
            .append("priority", getPriority())
            .toString();
    }
}
